# VNote
**A note-taking application that knows programmers and Markdown better!**

::: alert-success

VNote 2.3 is released! Check out [what's new](https://github.com/tamlok/vnote/releases)!

:::

- Join VNote on [GitHub](https://github.com/tamlok/vnote)
- Chat on [Slack](https://join.slack.com/t/vnote/shared_invite/enQtNDg2MzY0NDg3NzI4LTQ1Yzk1YjA5MjAyYTU0MjJkMTUxNmRiYWQ2YjlkOWU0ZGZlMTFlZTAxNzg0ZGUyNzI0ZGY2NDg4MmU1M2FkMDg)
- Subscribe to WeChat **vnote_md**

## Open source and free
- Open source in [MIT](http://opensource.org/licenses/MIT) license
- Powered by Qt and C++
- Available on Linux, Windows, and macOS

![](_v_images/20181124154422086_1815676907.svg =512x)

## Simple notes management
- All plain text, no database
- Self-contained **notebooks**, infinite levels of **folders**, plain **notes**
- Tags and attachments
- Explore and edit external files

![](_v_images/20181124155022977_806133500.svg =512x)

## Own your data
- All files on your local disk
- One notebook is exactly one directory
- Work from anywhere seamlessly via third-party service of your choice

![](_v_images/20181124155408890_125984506.svg =512x)

## Concentration
- **No** live preview side by side
- Focus on your note in both **read** and **edit** mode

![](_v_images/20181124155541581_1337512834.svg =512x)

## Pleasant Markdown experience
- Minimized gap between read and write of Markdown
- Syntax highlights and in-place preview
- Effective images management
- Interactive outline
- UML diagrams, flowcharts, and math formulas

![](_v_images/20181124160539465_1974001899.svg =512x)

## Highly customizable
- Themes and styles
- Shortcuts and behaviors

![](_v_images/20181124160655553_1770055980.svg =512x)

## By programmers, for programmers
- Vim mode and Vim-like navigation
- Line number in editor
- Multiple tabs
- Window splits
- Fuzzy search and jump
- Versatile shortcuts

![](_v_images/20181124161508229_152845752.svg =512x)

::: alert-success

[**Get VNote**](downloads.md) and enjoy Markdown!

:::
